Subject: Re: linux-next: Tree for Apr 26

From: Michal Marek <[email-masked]>
Date: Fri, 26 Apr 2013 13:08:35 +0200

On 26.4.2013 12:49, Sedat Dilek wrote:
> On Fri, Apr 26, 2013 at 12:37 PM, Sedat Dilek <[email-masked]> wrote:
>> On Fri, Apr 26, 2013 at 12:35 PM, Sedat Dilek <[email-masked]> wrote:
>>> On Fri, Apr 26, 2013 at 12:04 PM, Michal Marek <[email-masked]> wrote:
>>>> On Fri, Apr 26, 2013 at 11:58:25AM +0200, Michal Marek wrote:
>>>>> Can you send a copy of your .config?
>>>>
>>>> I can reproduce it as well:
>>>>
>>>> $ yes "" | make oldconfig
>>>> ...
>>>>   Enumeration method [M/y/?] (NEW)
>>>>     Basic (RAPIDIO_ENUM_BASIC) [N/m/?] n
>>>> ...
>>>> #
>>>> # configuration written to .config
>>>> #
>>>> $ make oldconfig
>>>> ...
>>>>   Enumeration method [M/y/?] (NEW)
>>>>
>>>>
>>>> .config is attached.
>>>>
>>>
>>> Mine, too.
>>>
>>> I hoped that -next release will be one w/o troubles
>>> (cpufreq/intel_pstate / pm/timekeeping / ipc-sem-from-mmotm).
>>> Unfortunately, I am not lucky :-(.
>>>
>>> Anyway, waiting for a fix.
>>>
>>
>> Just FYI: Mail delivery troubles!
>>
>> Delivery to the following recipient failed permanently:
>>
>>      [email-masked]
>>
>> Technical details of permanent failure:
>> Google tried to deliver your message, but it was rejected by the
>> server for the recipient domain free.fr by mx1.free.fr. [212.27.48.6].
>>
>> The error that the other server returned was:
>> 550 spam detected
>> ...
>>
> 
> With reverting all kbuild-next commits I was able to build again.
> 
>       Revert "kconfig: implement KCONFIG_PROBABILITY for randconfig"
>       Revert "kconfig: allow specifying the seed for randconfig"
>       Revert "kconfig: fix randomising choice entries in presence of
> KCONFIG_ALLCONFIG"
>       Revert "kconfig: do not override symbols already set"
>       Revert "kconfig: fix randconfig tristate detection"

I did the same, then applied all the kconfig commits once more and did a
git bisect with this script:

#!/bin/sh

cp config-bad .config
make silentoldconfig </dev/null

This resulted in

7ded2624f8988bd22819a60a6000ba6b7091db89 is the first bad commit
commit 7ded2624f8988bd22819a60a6000ba6b7091db89
Author: Yann E. MORIN <[email-masked]>
Date:   Sun Mar 10 16:34:10 2013 +0100

    kconfig: fix randomising choice entries in presence of KCONFIG_ALLCONFIG

The commit id is different, because it is reverted and applied again. Yann?

Thanks,
Michal